Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 330861 - net-im/kmess-2.0.5: a few dependencies are missing
Summary: net-im/kmess-2.0.5: a few dependencies are missing
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Markos Chandras (RETIRED)
URL: http://desmond.yfrog.com/Himg823/scal...
Whiteboard:
Keywords:
Depends on:
Blocks: 338046
  Show dependency tree
 
Reported: 2010-08-02 16:15 UTC by Agostino Sarubbo
Modified: 2010-12-26 04:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2010-08-02 16:15:13 UTC
Now if i have installed a base version of kde (kde-base/kdebase-startkde) and i run kmess, some icons of personal state (present,busy,inactive ecc) are missing but with a full version of kde (kde-base/kde-meta) there aren't a problem.

So i think who a few dependence are missing in kmess ebuild.



Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2010-08-03 01:38:48 UTC
Don't CC maintainers when you cannot assign bugs.
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2010-08-29 10:22:25 UTC
Can you emerge oxygen-icons and see if that works for you?
Comment 3 Agostino Sarubbo gentoo-dev 2010-08-29 17:44:46 UTC
(In reply to comment #2)
> Can you emerge oxygen-icons and see if that works for you?
> 

I have already installed that package: /
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-10-07 11:14:32 UTC
Yeah there is a big "fail" here. The missing icons come from kopete IM. Kopete is installing additional oxygen icons so I guess we should close this bug as WONT/CANT fix because repackaging kopete icons seems like a bit 'doh' to me.

In order to verify my results check in your kde full installation, the owner of the following files

/usr/share/icons/oxygen/16x16/actions/contact_away_overlay.png
/usr/share/icons/oxygen/16x16/actions/contact_busy_overlay.png
/usr/share/icons/oxygen/16x16/actions/contact_food_overlay.png
/usr/share/icons/oxygen/16x16/actions/contact_invisible_overlay.png
/usr/share/icons/oxygen/16x16/actions/contact_phone_overlay.png

using qfile <path>

Thanks
Comment 5 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-10-07 11:27:25 UTC
If this is really the issue, then indeed it is a WONTFIX for us, but I'd prefer an upstream bug and keep this one open so we can track it
Comment 6 Agostino Sarubbo gentoo-dev 2010-10-07 12:12:20 UTC
(In reply to comment #5)
> If this is really the issue, then indeed it is a WONTFIX for us, but I'd prefer
> an upstream bug and keep this one open so we can track it
> 

I ask upstream and they told me that currently does not have time to fix the bug. 
Comment 7 Agostino Sarubbo gentoo-dev 2010-10-07 12:13:14 UTC
(In reply to comment #4)
> Yeah there is a big "fail" here. The missing icons come from kopete IM. Kopete
> is installing additional oxygen icons so I guess we should close this bug as
> WONT/CANT fix because repackaging kopete icons seems like a bit 'doh' to me.
> 
> In order to verify my results check in your kde full installation, the owner of
> the following files
> 
> /usr/share/icons/oxygen/16x16/actions/contact_away_overlay.png
> /usr/share/icons/oxygen/16x16/actions/contact_busy_overlay.png
> /usr/share/icons/oxygen/16x16/actions/contact_food_overlay.png
> /usr/share/icons/oxygen/16x16/actions/contact_invisible_overlay.png
> /usr/share/icons/oxygen/16x16/actions/contact_phone_overlay.png
> 
> using qfile <path>
> 
> Thanks
> 

In my system there aren't they
Comment 8 Markos Chandras (RETIRED) gentoo-dev 2010-10-07 13:36:53 UTC
(In reply to comment #7)
> (In reply to comment #4)
> In my system there aren't they
> 
You mean you don't have these files? Do note that kde keeps caches for icons under your /home directory and kmess is trying to find icons in these places as well. 
Comment 9 Agostino Sarubbo gentoo-dev 2010-10-07 15:00:55 UTC
(In reply to comment #8)

> You mean you don't have these files? Do note that kde keeps caches for icons
> under your /home directory and kmess is trying to find icons in these places as
> well. 
> 

yes.


devil ago # ls /usr/share/icons/oxygen/16x16/actions/contact-*
/usr/share/icons/oxygen/16x16/actions/contact-new.png


only this :P
Comment 10 Markos Chandras (RETIRED) gentoo-dev 2010-10-07 15:37:33 UTC
Upstream is now aware of that. Lets hope they will fix it in the next release. Either way we can't really do anything about this one so closing as CANTFIX
Comment 11 Agostino Sarubbo gentoo-dev 2010-10-26 10:20:54 UTC
fixed in 2.0.5
Comment 12 Markos Chandras (RETIRED) gentoo-dev 2010-10-28 10:46:50 UTC
Not fixed